% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 1.7 $
%%      $Date: 2005/12/21 14:00:36 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik fr die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

das ---> (@det,
  head:agr:(num:sg,
            case:nom_acc,
            gen:neu)).

der ---> (@det,
  head:agr:(num:sg,
            case:nom,
            gen:mas)).

% wir gedenken der Frau
% wir helfen der Frau
der ---> (@det,
  head:agr:(num:sg,
            case:gen_dat,
            gen:fem)).

% wir gedenken der Frauen/Mnner/Kinder
der ---> (@det,
  head:agr:(num:pl,
             case:gen)).

% dem Mann
dem ---> (@det,
  head:agr:(num:sg,
            case:dat,
            gen:mas_neu)).

% den Mann
den ---> (@det,
  head:agr:(num:sg,
            case:acc,
            gen:mas)).

% helfen den Frauen/Mnnern/Kinder
den ---> (@det,
  head:agr:(num:pl,
            case:dat)).

des ---> (@det,
  head:agr:(num:sg,
            case:gen,
            gen:mas_neu)).

die ---> (@det,
  head:agr:(num:sg,
            case:nom_acc,
            gen:fem)).

die ---> (@det,
  head:agr:(num:pl,
            case:nom_acc)).

% ein Kind/Mann schlft.
ein ---> (@det,
  head:agr:(num:sg,
            case:nom,
            gen:mas_neu)).

% ich kenne ein Kind.
ein ---> (@det,
  head:agr:(num:sg,
            case:acc,
            gen:neu)).

eine ---> (@det,
  head:agr:(num:sg,
            case:nom_acc,
            gen:fem)).

einen ---> (@det,
  head:agr:(num:sg,
            case:acc,
            gen:mas)).

einem ---> (@det,
  head:agr:(num:sg,
            case:dat,
            gen:mas_neu)).

einer ---> (@det,
  head:agr:(num:sg,
            case:gen_dat,
            gen:fem)).

alle ---> (@det,
  head:agr:(num:pl,
            case:nom_acc)).

allen ---> (@det,
  head:agr:(num:pl,
            case:dat)).

aller ---> (@det,
  head:agr:(num:pl,
            case:gen)).

hund ---> (@noun,
  head:agr:(per:third,
            num:sg,
            case:nom_dat_acc,
            gen:mas)).

hundes ---> (@noun,
  head:agr:(num:sg,
            case:gen,
            gen:mas)).


hunde ---> (@noun,
  head:agr:(num:pl,
            case:nom_gen_acc)).

hunden ---> (@noun,
  head:agr:(num:pl,
            case:dat)).

katze ---> (@noun,
  head:agr:(num:sg,
            gen:fem)).


katzen ---> (@noun,
  head:agr:num:pl).


schaf ---> (@noun,
  head:agr:(num:sg,
            case:nom_dat_acc,
            gen:neu)).

schafes ---> (@noun,
  head:agr:(num:sg,
            case:gen)).


schafe ---> (@noun,
  head:agr:(num:pl,
            case:nom_gen_acc)).

schafen ---> (@noun,
  head:agr:(num:pl,
            case:dat)).


ich ---> (word,
  head:(noun,
        agr:(per:first,
             num:sg,
             case:nom)),
  subcat:[]).

bellt ---> (word,
  head:verb,
  subcat:[(head:(noun,
                 agr:(per:third,
                      num:sg,
                      case:nom)),
           subcat:[]) ] ).

bellen ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:pl,
                       case:nom)),
               subcat:[])] ).

jagt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).

kennt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).

hilft ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]) ] ).

gab ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:first_or_third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).


gibt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).

gibt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
            subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]) ] ).

erinnert ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]),
           (head:prep, subcat:[]) ] ).


an ---> (word,
  head:(prep,
        mod:[]),
  subcat:[(head:(noun,
                 agr:case:acc),
           subcat:[]) ] ).


neben ---> (word,
           head:(prep,
                 mod:[(head:noun,
                       subcat:[_])]),
           subcat:[(head:(noun,
                          agr:case:dat),
                    subcat:[]) ] ).

neben ---> (word,
           head:(prep,
                 mod:[head:verb]),
           subcat:[(head:(noun,
                          agr:case:dat),
                    subcat:[]) ] ).


kluge ---> (@mod_adj,
           head:agr:(num:sg,
                     case:nom_acc,
                     gen:fem)).